using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Grouping;
using System.Data.OleDb;
using System.Drawing;


public partial class _Default : System.Web.UI.Page
{
    int numberofRows = 8;
    GridRow row;

    protected void Page_Load(object sender, EventArgs e)
    {

        this.GridGroupingControl1.Width = 300;
    }
    private DataTable GetTableDetails()
    {
        DataTable dt = new DataTable("GridTable");
        dt.Columns.Add(new DataColumn("ID")); //lower case p
        dt.Columns.Add(new DataColumn("Column1"));
        dt.Columns.Add(new DataColumn("Column2"));

        //define the primary key for parent table
        DataColumn[] key = new DataColumn[1];
        key[0] = dt.Columns[0];
        dt.PrimaryKey = key;
        for (int i = 0; i <= numberofRows; i++)
        {
            DataRow dr = dt.NewRow();
            dr[0] = string.Format("{0}", i);
            dr[1] = string.Format("Column 1, {0}", i);
            dr[2] = string.Format("Column 2, {0}", i);
            dt.Rows.Add(dr);
        }

        return dt;
    }
    protected void Page_Init(object sender, System.EventArgs e)
    {
        //getting the datas from the data table 
        DataTable table = GetTableDetails();
        //Adding primary key to the grid
        this.GridGroupingControl1.TableDescriptor.PrimaryKeyColumns.Add("ID");
        this.GridGroupingControl1.DataMember = "DefaultView";
        //Adding the table to the source list.
        this.GridGroupingControl1.Engine.SourceListSet.Add("Table", table);
        //setting the datasource of the grid as the datatable
        this.GridGroupingControl1.DataSource = table;
        this.DataBind();
    }
}